Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
reports
/
appointmentVolume
Appointment Volume
curl --request GET \
  --url https://api.smarterproctoring.com/v1/installs/{installSid}/reports/appointmentVolume \
  --header 'token: <api-key>'
{
  "dayOfWeek": [
    {
      "day": "<string>",
      "volume": 123
    }
  ],
  "perHour": [
    {
      "hour": 123,
      "volume": 123
    }
  ],
  "perDay": [
    {
      "day": "<string>",
      "volume": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$

Query Parameters

courseOfferingSid
string

Course Offering Sid

Pattern: ^CO[a-f0-9]{32}$
courseSid
string

Course Sid

Pattern: ^CU[a-f0-9]{32}$
examSid
string

Exam sid

Pattern: ^EX[a-f0-9]{32}$
appointmentDateRangeStart
string

Appointment Date Range Start

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

appointmentDateRangeEnd
string

Appointment Date Range End

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

Response

200 - application/json

Successful

dayOfWeek
(object | null)[]
perHour
(object | null)[]
perDay
(object | null)[]